#include <stdio.h>

int is_prime(int num);
int is_reversible_prime(int num);

int is_prime(int num) {
    int i;
    if (num <= 1) return 0;
    if (num == 2) return 1;
    if (num % 2 == 0) return 0;
    for (i = 3; i * i <= num; i += 2) {
        if (num % i == 0) return 0;
    }
    return 1;
}

int is_reversible_prime(int num) {
    if (!is_prime(num)) return 0;
    int reversed_num = 0;
    int temp = num;
    while (temp > 0) {
        reversed_num = reversed_num * 10 + temp % 10;
        temp /= 10;
    }
    return is_prime(reversed_num);
}

int main() {
    int num;
    scanf("%d", &num);
    if (is_reversible_prime(num)) {
        printf("yes\n");
    } else {
        printf("no\n");
    }
    return 0;
}
